com.google.cloud.dataflow.examples.complete

## Class AutoComplete

- java.lang.Object
- - com.google.cloud.dataflow.examples.complete.AutoComplete

    public class AutoComplete
    extends Object

An example that computes the most popular hash tags for every prefix, which can be used for auto-completion.

Concepts: Using the same pipeline in both streaming and batch, combiners, composite transforms.

To execute this pipeline using the Dataflow service in batch mode, specify pipeline configuration:

       --project=YOUR_PROJECT_ID
       --stagingLocation=gs://YOUR_STAGING_DIRECTORY
       --runner=DataflowPipelineRunner
       --inputFile=gs://path/to/input*.txt

To execute this pipeline using the Dataflow service in streaming mode, specify pipeline configuration:

       --project=YOUR_PROJECT_ID
       --stagingLocation=gs://YOUR_STAGING_DIRECTORY
       --runner=DataflowPipelineRunner
       --inputFile=gs://YOUR_INPUT_DIRECTORY/*.txt
       --streaming

This will update the Cloud Datastore every 10 seconds based on the last 30 minutes of data received.

### Nested Class Summary

Nested Classes
`static class` `AutoComplete.ComputeTopCompletions` A PTransform that takes as input a list of tokens and returns the most common tokens per prefix.

### Constructor Summary

Constructors
Constructor and Description
`AutoComplete()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutoComplete

    public AutoComplete()

### Method Detail

#### main

    public static void main(String[] args)
                     throws IOException

Throws:
  `IOException`